<!doctype html>
<html lang="en" class="h-100">
<head>
    <meta http-equiv="refresh" content="5">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="generator" content="Hugo 0.80.0">
    <title>ARIVO Presence API Example</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

    <script src="https://kit.fontawesome.com/49e01718a4.js" crossorigin="anonymous"></script>

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>

    <link href="../static/css/style.css" rel="stylesheet">

</head>
<body class="d-flex h-100 text-center text-white bg-dark">

<div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">
    <header class="mb-auto">
        <div>
            <h3 class="float-md-start mb-0">ARIVO Presence API Example</h3>
            <nav class="nav nav-masthead justify-content-center float-md-end">
                <a class="nav-link" href="/docs">Endpoints</a>
            </nav>
        </div>
    </header>

    <main class="px-3">
        <h1>Current present Vehicle</h1>
        <div id="vehicles" class="row">
            {% if not current_vehicle %}
                <p class="lead">
                    Add a vehicle by sending a POST request to <code>/presence/enter/</code>.
                </p>
                <p class="lead">
                    <a href="/docs" class="btn btn-lg btn-secondary fw-bold border-white bg-white">Endpoints</a>
                </p>
            {% else %}
                <div class="card bg-dark text-white border-0">
                    <div class="card-body bg-dark text-white">
                        <h5 class="card-title"><i class="fas fa-car-side"></i> {{ current_vehicle.id }}</h5>

                    </div>
                </div>
                <p class="lead">
                    Remove the vehicle by sending a POST request to <code>/presence/leave/</code>.
                </p>
                <p class="lead">
                    <a href="/docs" class="btn btn-lg btn-secondary fw-bold border-white bg-white">Endpoints</a>
                </p>
            {% endif %}

            <h2 class="mt-5">Latest requests</h2>
            {% for request in presence_requests[:12] %}
                <div class="col-sm-3">
                    <div class="card bg-dark text-white border-0">
                        <div class="card-body bg-dark text-white">
                            <h5 class="card-title"><i class="fas fa-car-side"> {{ request.vehicle.id }}</i></h5>
                            <p class="card-text">
                                Gate: {{ request.gateway.gate }} {{ request.gateway.direction.value }}
                            </p>
                        </div>
                    </div>
                </div>
            {% endfor %}

            {% if presence_requests|length > 12 %}
                <div class="col-sm-3">
                    <div class="card bg-dark text-white border-0">
                        <div class="card-body bg-dark text-white">
                            <p class="card-text"> ...</p>
                        </div>
                    </div>
                </div>
            {% endif %}

        </div>
    </main>

    <footer class="mt-auto text-white-50">
        <p>
            <a class="text-white nav-link" href="https://gitlab.com/arivo-public/device-python/backend-api-demo-server">
                Source code <i class="fab fa-gitlab"></i>
            </a>
        </p>
    </footer>
</div>

</body>
</html>
